<?php

namespace Faker\Mexico;

use Faker\Extension\Extension;

class PhoneNumber extends \Faker\Provider\PhoneNumber implements Extension
{
    /**
     * @link https://en.wikipedia.org/wiki/Telephone_numbers_in_Mexico
     */
    protected static $formats = [
        '55 #### ####',
        '81 #### ####',
        '33 #### ####',
        '656 ### ####',
        '614 ### ####',
        '999 ### ####',
        '222 ### ####',
        '442 ### ####',
        '449 ### ####',
        '664 ### ####',
        '661 ### ####',
        '646 ### ####',
        '686 ### ####',
        '667 ### ####',
        '722 ### ####',
        '998 ### ####',
        '871 ### ####',
        '744 ### ####',
        '444 ### ####',
        '833 ### ####',
        '899 ### ####',
        '961 ### ####',
        '962 ### ####',
        '229 ### ####',
        '687 ### ####',
        '01 55 #### ####',
        '01 81 #### ####',
        '01 33 #### ####',
        '01 656 ### ####',
        '01 614 ### ####',
        '01 999 ### ####',
        '01 222 ### ####',
        '01 442 ### ####',
        '01 449 ### ####',
        '01 664 ### ####',
        '01 661 ### ####',
        '01 646 ### ####',
        '01 686 ### ####',
        '01 667 ### ####',
        '01 722 ### ####',
        '01 998 ### ####',
        '01 871 ### ####',
        '01 744 ### ####',
        '01 444 ### ####',
        '01 833 ### ####',
        '01 899 ### ####',
        '01 961 ### ####',
        '01 962 ### ####',
        '01 229 ### ####',
        '01 687 ### ####',
    ];

    protected static $e164Formats = [
        '+52 55 #### ####',
        '+52 81 #### ####',
        '+52 33 #### ####',
        '+52 656 ### ####',
        '+52 614 ### ####',
        '+52 999 ### ####',
        '+52 222 ### ####',
        '+52 442 ### ####',
        '+52 449 ### ####',
        '+52 664 ### ####',
        '+52 661 ### ####',
        '+52 646 ### ####',
        '+52 686 ### ####',
        '+52 667 ### ####',
        '+52 722 ### ####',
        '+52 998 ### ####',
        '+52 871 ### ####',
        '+52 744 ### ####',
        '+52 444 ### ####',
        '+52 833 ### ####',
        '+52 899 ### ####',
        '+52 961 ### ####',
        '+52 962 ### ####',
        '+52 229 ### ####',
        '+52 687 ### ####',
    ];
}
